質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.80%

composerを使ったインストール

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 2,541

yaeyama

score 57

前提・実現したいこと

composerからintervention/imageをインストールしたいのですが、できません。
何が原因かもわからないです。

発生している問題・エラーメッセージ

実行コマンド
composer require intervention/image
エラーメッセージ
Using version ^2.4 for intervention/image
./composer.json has been updated
Loading composer repositories with package information
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - Installation request for intervention/image ^2.4 -> satisfiable by intervention/image[2.4.0].
    - intervention/image 2.4.0 requires ext-fileinfo * -> the requested PHP extension fileinfo is missing from your system.

  To enable extensions, verify that they are enabled in your .ini files:
    - E:\Xampp\php\php.ini
  You can also run `php --ini` inside terminal to see which files are used by PHP in CLI mode.

Installation failed, reverting ./composer.json to its original content.

補足情報(言語/FW/ツール等のバージョンなど)

windows
php 5.6.8
laravel 5
composer 1.4.2

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

check解決した方法

0

環境再構築で解決しました。
ありがとうございました

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

エラーメッセージに原因も対処も丁寧に書いてくれているので、その通り対処してください。

intervention/image 2.4.0 requires ext-fileinfo * -> the requested PHP extension fileinfo is missing from your system.

  To enable extensions, verify that they are enabled in your .ini files:
    - E:\Xampp\php\php.ini

まずエラーメッセージを読む習慣を付けましょう。英語がわからなければメッセージを機械翻訳サービスを利用するのも手です。

Google 翻訳の結果:

要求されたPHP拡張モジュールのfileinfoがシステムに存在しません。

(参考)同じ内容のトピック:iis - Using php_fileinfo.dll and finfo_open in Windows PHP 5.3.5 - Stack Overflow

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/07/30 21:14

    すいません、説明不足でした。
    エラーは「fileinfoを有効にする必要があります」的な解釈ですよね。
    extension=php_fileinfo.dllの行はもともとコメントアウトされていなかったので、
    エラーの原因がわからずここで質問させていただきました。

    キャンセル

  • 2017/07/30 21:24

    であれば質問文も訂正してください。でないと正しい回答がつきません。

    まずは本当にロードされているか調べる必要がありますね。 `php -m` コマンドで "fileinfo" は表示されていますか?

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.80%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る